Skip to main content

GlobalMeet 4.0 is here. Check out release notes, register for a learning session or watch a video highlighting new GlobalMeet features.

GlobalMeet 4.0 is here. Check out release notes, register for a learning session or watch a video highlighting new GlobalMeet features.

Meeting Support

What are the Minimum System Requirements for GlobalMeet?

This FAQ contains the hardware and software requirements for installing and using the various components of the GlobalMeet product set. It includes requirements for:

  • GlobalMeet for Mac and Windows
  • GlobalMeet Toolbar for Outlook
  • GlobalMeet mobile apps

GlobalMeet for Mac and Windows

The GlobalMeet desktop app is available for Mac and Windows computers.  On Windows, GlobalMeet detects whether Microsoft Outlook is installed, and automatically installs the GlobalMeet toolbar.

 

Item Requirements
Processor Intel or AMD 1.8 GHz or higher (2.3 GHz or higher recommended)
 
RAM At least 2 GB
Operating System Windows 7 through 10
Mac OS X 10.10 or newer
Browser Current version plus one previous version of macOS Safari, Google Chrome or Mozilla Firefox
Internet Explorer 11 or newer
Microsoft Edge (Windows 10)
Flash Player

Flash Player 17 or higher required (Mac and Windows) to participate via a browser.

The GlobalMeet desktop apps (host and guest versions) allow you to host or attend a meeting without a Flash browser plug-in.
Java

Mac Screen Share requires Java 6 SE; it is installed automatically when you install the Screen Share app.

The Windows Screen Share installer includes a JRE built specifically for it.
.NET .NET 4.5.2 or newer
Other JavaScript and cookies enabled

 

GlobalMeet Toolbar for Outlook

  GlobalMeet Toolbar 11.7 GlobalMeet Outlook Add-in 12.2
Operating System Microsoft Windows 7-10
  • Microsoft Windows 7-10
  • macOS 10.11 and newer
Microsoft Outlook

Windows Only:

  • Outlook 2013, 32- or 64-bit
  • Outlook 2016, 32- or 64-bit
  • Outlook 2013 and 2016 for Windows
  • Outlook 2016 for Mac
Other  
  • A Microsoft Exchange mailbox on Exchange Online, Exchange 2013 or a newer release
  • Reading Pane displayed
  • Windows: requires Internet Explorer 10 or newer

 

 

GlobalMeet Mobile Apps

The following table summarizes system requirements for the GlobalMeet mobile apps. All apps require an active data connection, either through the wireless carrier’s 3G/4G/LTE network or via Wi-Fi.

 

Mobile App OS Versions
GlobalMeet for Android Android platform versions 4.4 and later (KitKat, Lollipop, Marshmallow and Nougat)
GlobalMeet for iPhone iOS 9 and newer

GlobalMeet Web & Audio for iOS (iPhone and iPad)

(Formerly known as GlobalMeet HD for iPad)

iOS 9 and newer